<?php
/**
 * WPCargo Pro back compat functionality
 *
 * Prevents WPCargo Pro from running on WordPress versions prior to 4.7,
 * since this theme is not meant to be backward compatible beyond that and
 * relies on many newer functions and markup changes introduced in 4.7.
 *
 * @package WordPress
 * @subpackage WPCargo_Theme_Pro
 * @since WPCargo Pro 1.0
 */
/**
 * Prevent switching to WPCargo Pro on old versions of WordPress.
 *
 * Switches to the default theme.
 *
 * @since WPCargo Pro 1.0
 */
function wpctp_switch_theme() {
	switch_theme( WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'wpctp_upgrade_notice' );
}
add_action( 'after_switch_theme', 'wpctp_switch_theme' );
/**
 * Adds a message for unsuccessful theme switch.
 *
 * Prints an update nag after an unsuccessful attempt to switch to
 * WPCargo Pro on WordPress versions prior to 4.7.
 *
 * @since WPCargo Pro 1.0
 *
 * @global string $wp_version WordPress version.
 */
function wpctp_upgrade_notice() {
	$message = sprintf( __( 'WPCargo Pro requires at least WordPress version 4.7. You are running version %s. Please upgrade and try again.', 'wpctp' ), $GLOBALS['wp_version'] );
	printf( '<div class="error"><p>%s</p></div>', $message );
}
/**
 * Prevents the Customizer from being loaded on WordPress versions prior to 4.7.
 *
 * @since WPCargo Pro 1.0
 *
 * @global string $wp_version WordPress version.
 */
function wpctp_customize() {
	wp_die( sprintf( __( 'WPCargo Pro requires at least WordPress version 4.7. You are running version %s. Please upgrade and try again.', 'wpctp' ), $GLOBALS['wp_version'] ), '', array(
		'back_link' => true,
	) );
}
add_action( 'load-customize.php', 'wpctp_customize' );
/**
 * Prevents the Theme Preview from being loaded on WordPress versions prior to 4.7.
 *
 * @since WPCargo Pro 1.0
 *
 * @global string $wp_version WordPress version.
 */
function wpctp_preview() {
	if ( isset( $_GET['preview'] ) ) {
		wp_die( sprintf( __( 'WPCargo Pro requires at least WordPress version 4.7. You are running version %s. Please upgrade and try again.', 'wpctp' ), $GLOBALS['wp_version'] ) );
	}
}
add_action( 'template_redirect', 'wpctp_preview' );
